export interface INativeCliOptions {
    "cli-data-dir"?: string;
    "disable-telemetry"?: boolean;
    "telemetry-level"?: string;
}
export interface NativeParsedArgs {
    tunnel?: INativeCliOptions & {
        user: {
            login: {
                "access-token"?: string;
                "provider"?: string;
            };
        };
    };
    "serve-web"?: INativeCliOptions;
    _: string[];
    "folder-uri"?: string[];
    "file-uri"?: string[];
    _urls?: string[];
    help?: boolean;
    version?: boolean;
    telemetry?: boolean;
    status?: boolean;
    wait?: boolean;
    waitMarkerFilePath?: string;
    diff?: boolean;
    merge?: boolean;
    add?: boolean;
    remove?: boolean;
    goto?: boolean;
    "new-window"?: boolean;
    "reuse-window"?: boolean;
    locale?: string;
    "user-data-dir"?: string;
    "prof-startup"?: boolean;
    "prof-startup-prefix"?: string;
    "prof-append-timers"?: string;
    "prof-duration-markers"?: string[];
    "prof-duration-markers-file"?: string;
    "prof-v8-extensions"?: boolean;
    "no-cached-data"?: boolean;
    verbose?: boolean;
    trace?: boolean;
    "trace-memory-infra"?: boolean;
    "trace-category-filter"?: string;
    "trace-options"?: string;
    "open-devtools"?: boolean;
    log?: string[];
    logExtensionHostCommunication?: boolean;
    "extensions-dir"?: string;
    "extensions-download-dir"?: string;
    "builtin-extensions-dir"?: string;
    extensionDevelopmentPath?: string[];
    extensionTestsPath?: string;
    extensionDevelopmentKind?: string[];
    extensionEnvironment?: string;
    "inspect-extensions"?: string;
    "inspect-brk-extensions"?: string;
    debugId?: string;
    debugRenderer?: boolean;
    "inspect-search"?: string;
    "inspect-brk-search"?: string;
    "inspect-ptyhost"?: string;
    "inspect-brk-ptyhost"?: string;
    "inspect-sharedprocess"?: string;
    "inspect-brk-sharedprocess"?: string;
    "disable-extensions"?: boolean;
    "disable-extension"?: string[];
    "list-extensions"?: boolean;
    "show-versions"?: boolean;
    "category"?: string;
    "install-extension"?: string[];
    "pre-release"?: boolean;
    "install-builtin-extension"?: string[];
    "uninstall-extension"?: string[];
    "update-extensions"?: boolean;
    "do-not-include-pack-dependencies"?: boolean;
    "locate-extension"?: string[];
    "enable-proposed-api"?: string[];
    "open-url"?: boolean;
    "skip-release-notes"?: boolean;
    "skip-welcome"?: boolean;
    "disable-telemetry"?: boolean;
    "export-default-configuration"?: string;
    "install-source"?: string;
    "add-mcp"?: string[];
    "disable-updates"?: boolean;
    "use-inmemory-secretstorage"?: boolean;
    "password-store"?: string;
    "disable-workspace-trust"?: boolean;
    "disable-crash-reporter"?: boolean;
    "crash-reporter-directory"?: string;
    "crash-reporter-id"?: string;
    "skip-add-to-recently-opened"?: boolean;
    "file-write"?: boolean;
    "file-chmod"?: boolean;
    "enable-smoke-test-driver"?: boolean;
    "remote"?: string;
    "force"?: boolean;
    "do-not-sync"?: boolean;
    "preserve-env"?: boolean;
    "force-user-env"?: boolean;
    "force-disable-user-env"?: boolean;
    "sync"?: "on" | "off";
    "logsPath"?: string;
    "__enable-file-policy"?: boolean;
    editSessionId?: string;
    continueOn?: string;
    "locate-shell-integration-path"?: string;
    "profile"?: string;
    "profile-temp"?: boolean;
    "disable-chromium-sandbox"?: boolean;
    sandbox?: boolean;
    "enable-coi"?: boolean;
    "unresponsive-sample-interval"?: string;
    "unresponsive-sample-period"?: string;
    "no-proxy-server"?: boolean;
    "no-sandbox"?: boolean;
    "proxy-server"?: string;
    "proxy-bypass-list"?: string;
    "proxy-pac-url"?: string;
    "inspect"?: string;
    "inspect-brk"?: string;
    "js-flags"?: string;
    "disable-lcd-text"?: boolean;
    "disable-gpu"?: boolean;
    "disable-gpu-sandbox"?: boolean;
    "nolazy"?: boolean;
    "force-device-scale-factor"?: string;
    "force-renderer-accessibility"?: boolean;
    "ignore-certificate-errors"?: boolean;
    "allow-insecure-localhost"?: boolean;
    "log-net-log"?: string;
    "vmodule"?: string;
    "disable-dev-shm-usage"?: boolean;
    "ozone-platform"?: string;
    "enable-tracing"?: string;
    "trace-startup-format"?: string;
    "trace-startup-file"?: string;
    "trace-startup-duration"?: string;
    "xdg-portal-required-version"?: string;
}
