export interface ITelemetryData {
    from?: string;
    target?: string;
    [key: string]: any;
}
export interface ITelemetryEndpoint {
    id: string;
    aiKey: string;
    sendErrorTelemetry: boolean;
}
export declare const currentSessionDateStorageKey = "telemetry.currentSessionDate";
export declare const firstSessionDateStorageKey = "telemetry.firstSessionDate";
export declare const lastSessionDateStorageKey = "telemetry.lastSessionDate";
export declare const machineIdKey = "telemetry.machineId";
export declare const sqmIdKey = "telemetry.sqmId";
export declare const devDeviceIdKey = "telemetry.devDeviceId";
export declare const TELEMETRY_SECTION_ID = "telemetry";
export declare const TELEMETRY_SETTING_ID = "telemetry.telemetryLevel";
export declare const TELEMETRY_CRASH_REPORTER_SETTING_ID = "telemetry.enableCrashReporter";
export declare const TELEMETRY_OLD_SETTING_ID = "telemetry.enableTelemetry";
export declare enum TelemetryLevel {
    NONE = 0,
    CRASH = 1,
    ERROR = 2,
    USAGE = 3
}
export declare enum TelemetryConfiguration {
    OFF = "off",
    CRASH = "crash",
    ERROR = "error",
    ON = "all"
}
export interface ICommonProperties {
    [name: string]: string | boolean | undefined;
}
