

function stringifyPromptElementJSON(element) {
    const strs = [];
    stringifyPromptNodeJSON(element.node, strs);
    return strs.join('');
}
function stringifyPromptNodeJSON(node, strs) {
    if (node.type === PromptNodeType.Text) {
        if (node.lineBreakBefore) {
            strs.push('\n');
        }
        if (typeof node.text === 'string') {
            strs.push(node.text);
        }
    }
    else if (node.ctor === PieceCtorKind.ImageChatMessage) {
        strs.push('<image>');
    }
    else if (node.ctor === PieceCtorKind.BaseChatMessage || node.ctor === PieceCtorKind.Other) {
        for (const child of node.children) {
            stringifyPromptNodeJSON(child, strs);
        }
    }
}

export { stringifyPromptElementJSON };
