import { Event } from "../../../../base/common/event.js";
import { IMainThreadTestController } from "@codingame/monaco-vscode-testing-service-override/vscode/vs/workbench/contrib/testing/common/testService";
import { ITestRunProfile, ITestItem, TestRunProfileBitset, InternalTestItem } from "./testTypes.js";
export declare const ITestProfileService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<ITestProfileService>;
export interface ITestProfileService {
    readonly _serviceBrand: undefined;
    readonly onDidChange: Event<void>;
    addProfile(controller: IMainThreadTestController, profile: ITestRunProfile): void;
    updateProfile(controllerId: string, profileId: number, update: Partial<ITestRunProfile>): void;
    removeProfile(controllerId: string, profileId?: number): void;
    capabilitiesForTest(test: ITestItem): number;
    configure(controllerId: string, profileId: number): void;
    all(): Iterable<Readonly<{
        controller: IMainThreadTestController;
        profiles: ITestRunProfile[];
    }>>;
    getGroupDefaultProfiles(group: TestRunProfileBitset, controllerId?: string): ITestRunProfile[];
    setGroupDefaultProfiles(group: TestRunProfileBitset, profiles: ITestRunProfile[]): void;
    getControllerProfiles(controllerId: string): ITestRunProfile[];
    getDefaultProfileForTest(group: TestRunProfileBitset, test: InternalTestItem): ITestRunProfile | undefined;
}
