import { ExtensionKind } from "../../../../platform/environment/common/environment.js";
import { IExtensionManifest, IExtensionIdentifier, ExtensionUntrustedWorkspaceSupportType, ExtensionVirtualWorkspaceSupportType } from "../../../../platform/extensions/common/extensions.js";
export declare const IExtensionManifestPropertiesService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IExtensionManifestPropertiesService>;
export interface IExtensionManifestPropertiesService {
    readonly _serviceBrand: undefined;
    prefersExecuteOnUI(manifest: IExtensionManifest): boolean;
    prefersExecuteOnWorkspace(manifest: IExtensionManifest): boolean;
    prefersExecuteOnWeb(manifest: IExtensionManifest): boolean;
    canExecuteOnUI(manifest: IExtensionManifest): boolean;
    canExecuteOnWorkspace(manifest: IExtensionManifest): boolean;
    canExecuteOnWeb(manifest: IExtensionManifest): boolean;
    getExtensionKind(manifest: IExtensionManifest): ExtensionKind[];
    getUserConfiguredExtensionKind(extensionIdentifier: IExtensionIdentifier): ExtensionKind[] | undefined;
    getExtensionUntrustedWorkspaceSupportType(manifest: IExtensionManifest): ExtensionUntrustedWorkspaceSupportType;
    getExtensionVirtualWorkspaceSupportType(manifest: IExtensionManifest): ExtensionVirtualWorkspaceSupportType;
}
